Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface Interceptor

All Superinterfaces:
  AllowedOperationsFlags, ContainerPlugin, org.jboss.system.Service

All Known Implementing Classes:
  AbstractInterceptor, Container.AbstractContainerInterceptor

public interface Interceptor
extends ContainerPlugin

Provides the interface for all container interceptors.

Version:
  $Revision: 1.15 $

  20011219 marc fleury:

  - Method Invocation is replaced by Invocation
Author:
  Rickard �berg, Marc Fleury

Field Summary

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Method Summary
`Interceptor` | `getNext()` Get the next interceptor in the chain.
`Object` | `invoke(Invocation mi)` ???
`Object` | `invokeHome(Invocation mi)` ???
`void` | `setNext(Interceptor interceptor)` Set the next interceptor in the chain.

Methods inherited from interface org.jboss.ejb.ContainerPlugin
`setContainer`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setNext

    public void setNext(Interceptor interceptor)

  Set the next interceptor in the chain.

  Parameters:
    `interceptor` - The next interceptor in the chain.

### getNext

    public Interceptor getNext()

  Get the next interceptor in the chain.

  Returns:
    The next interceptor in the chain.

### invokeHome

    public Object invokeHome(Invocation mi)
                      throws Exception

  ???

  Parameters:
    `mi` - ???
  Returns:
    ???
  Throws:
    `Exception` - ???

### invoke

    public Object invoke(Invocation mi)
                  throws Exception

  ???

  Parameters:
    `mi` - ???
  Returns:
    ???
  Throws:
    `Exception` - ???

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.